@import '../css/index.css';

@font-face {
  font-family: "com";
  src: url("../font/COMIC.woff") format("woff"),
       url("../font/COMIC.ttf") format("truetype"),
       url("../font/COMIC.eot") format("embedded-opentype"),
       url("../font/COMIC.svg") format("svg"),
       url("../font/COMIC.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}

#option-box {
  width: 100%;
  display: flex;
  justify-content: center;
  position: absolute;
  left: 0;
  bottom: 7vw;
}
#option-box li {
  width: 5vw;
  height: 5.5vw;
  margin: 0 0.5vw;
  font-family: 'com';
  font-size: 2.8vw;
  color: #fff;
  text-align: center;
  line-height: 6vw;
  cursor: pointer;
  background: url('./images/apple.png') center no-repeat;
  background-size: cover;
}

/* 猴子 */
#monkey {
  width: 16vw;
  position: absolute;
  left: 40vw;
  top: -18vw;
  transition: all 0.8s;
  -ms-transition: all 0.8s;
}
#monkey img:first-child {
  position: relative;
  z-index: 1;
}

.monkey-apple {
  width: 5vw;
  height: 5.5vw;
  color: #fff;
  text-align: center;
  line-height: 6vw;
  position: absolute;
  bottom: 0;
  left: 5.5vw;
  background: url('../kuai-le-pin-zi/images/apple.png') center no-repeat;
  background-size: cover;
}

/* 篮子 */
#basket {
  width: 20vw;
  height: 10.5vw;
  font-family: 'com';
  font-size: 3.4vw;
  color: #fff;
  text-align: center;
  line-height: 10vw;
  background: url(./images/basket.png) center no-repeat;
  background-size: cover;
  position: absolute;
  right: 2vw;
  bottom: 18vw;
  z-index: 2;
  text-shadow: 0.2vw 0 0.1vw #a35501, -0.2vw 0 0.1vw #a35501, 0 0.2vw 0.1vw #a35501, 0 -0.2vw 0.1vw #a35501;
}

/* 收获 */
.harvest {
  animation: harvest 1s linear forwards;
}
@keyframes harvest {
  0% {
    top: 0;
  }
  50% {
    top: -15vw;
  }
  90% {
    top: -15vw;
    left: 80vw;
  }
  100% {
    top: -12vw;
    left: 80vw;
  }
} 